Package com.independentsoft.office.odf

# Class NotesConfiguration

java.lang.Object
com.independentsoft.office.odf.NotesConfiguration

public class NotesConfiguration extends Object
Represents a values for each note class used in a document. If there is no note configuration element, an implementation defined default note configuration is used.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NotesConfiguration()`
  Initializes a new instance of the NotesConfiguration class.
  `NotesConfiguration​(InternalXMLStreamReader reader)`
  Instantiates a new notes configuration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NotesConfiguration`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCitationBodyStyle()`
  Gets the text style to use for a note citation in the text flow.
  `String`
  `getCitationStyle()`
  Gets the text style to use for a note citation within the footnote.
  `String`
  `getDefaultNoteParagraphStyle()`
  Gets the default footnote paragraph style for new footnotes that are inserted into an existing document.
  `FootnotesPosition`
  `getFootnotesPosition()`
  Specifies if footnote numbers start with a new number at the beginning of the document or at the beginning of each chapter or page.
  `String`
  `getMasterPage()`
  Gets the name of a master page.
  `NoteClass`
  `getNoteClass()`
  Gets the class of a note.
  `String`
  `getNoteContinuationNoticeBackward()`
  Gets the text that is displayed before continued text.
  `String`
  `getNoteContinuationNoticeForward()`
  Gets the text that is displayed at the end of a footnote that is continued on the next page.
  `String`
  `getNumberFormat()`
  Specifies the numbering sequence.
  `NumberingScheme`
  `getNumberingScheme()`
  Gets the numbering scheme.
  `int`
  `getStartValue()`
  Gets the name of a master page.
  `void`
  `setCitationBodyStyle​(String citationBodyStyle)`
  Sets the text style to use for a note citation in the text flow.
  `void`
  `setCitationStyle​(String citationStyle)`
  Sets the text style to use for a note citation within the footnote.
  `void`
  `setDefaultNoteParagraphStyle​(String defaultNoteParagraphStyle)`
  Sets the default footnote paragraph style for new footnotes that are inserted into an existing document.
  `void`
  `setFootnotesPosition​(FootnotesPosition footnotesPosition)`
  Specifies if footnote numbers start with a new number at the beginning of the document or at the beginning of each chapter or page.
  `void`
  `setMasterPage​(String masterPage)`
  Sets the name of a master page.
  `void`
  `setNoteClass​(NoteClass noteClass)`
  Sets the class of a note.
  `void`
  `setNoteContinuationNoticeBackward​(String noteContinuationNoticeBackward)`
  Sets the text that is displayed before continued text.
  `void`
  `setNoteContinuationNoticeForward​(String noteContinuationNoticeForward)`
  Sets the text that is displayed at the end of a footnote that is continued on the next page.
  `void`
  `setNumberFormat​(String numberFormat)`
  Specifies the numbering sequence.
  `void`
  `setNumberingScheme​(NumberingScheme numberingScheme)`
  Sets the numbering scheme.
  `void`
  `setStartValue​(int startValue)`
  Sets the name of a master page.
  `String`
  `toString()`
  Converts the value of the current NotesConfiguration object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NotesConfiguration

    public NotesConfiguration()
    Initializes a new instance of the NotesConfiguration class.

  - ### NotesConfiguration

    public NotesConfiguration​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new notes configuration.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public NotesConfiguration clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current NotesConfiguration object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getNoteClass

    public NoteClass getNoteClass()
    Gets the class of a note.
    Returns:
      the note class

  - ### setNoteClass

    public void setNoteClass​(NoteClass noteClass)
    Sets the class of a note.
    Parameters:
      `noteClass` - the new note class

  - ### getCitationStyle

    public String getCitationStyle()
    Gets the text style to use for a note citation within the footnote.
    Returns:
      the citation style

  - ### setCitationStyle

    public void setCitationStyle​(String citationStyle)
    Sets the text style to use for a note citation within the footnote.
    Parameters:
      `citationStyle` - the new citation style

  - ### getCitationBodyStyle

    public String getCitationBodyStyle()
    Gets the text style to use for a note citation in the text flow.
    Returns:
      the citation body style

  - ### setCitationBodyStyle

    public void setCitationBodyStyle​(String citationBodyStyle)
    Sets the text style to use for a note citation in the text flow.
    Parameters:
      `citationBodyStyle` - the new citation body style

  - ### getDefaultNoteParagraphStyle

    public String getDefaultNoteParagraphStyle()
    Gets the default footnote paragraph style for new footnotes that are inserted into an existing document. It is not evaluated for footnotes that already exist.
    Returns:
      the default note paragraph style

  - ### setDefaultNoteParagraphStyle

    public void setDefaultNoteParagraphStyle​(String defaultNoteParagraphStyle)
    Sets the default footnote paragraph style for new footnotes that are inserted into an existing document. It is not evaluated for footnotes that already exist.
    Parameters:
      `defaultNoteParagraphStyle` - the new default note paragraph style

  - ### getMasterPage

    public String getMasterPage()
    Gets the name of a master page.
    Returns:
      the master page

  - ### setMasterPage

    public void setMasterPage​(String masterPage)
    Sets the name of a master page.
    Parameters:
      `masterPage` - the new master page

  - ### getStartValue

    public int getStartValue()
    Gets the name of a master page.
    Returns:
      the start value

  - ### setStartValue

    public void setStartValue​(int startValue)
    Sets the name of a master page.
    Parameters:
      `startValue` - the new start value

  - ### getNumberFormat

    public String getNumberFormat()
    Specifies the numbering sequence. The defined values are: - 1: Hindu-Arabic number sequence starts with 1. - a: number sequence of lowercase Modern Latin basic alphabet characters starts with "a". - A: number sequence of uppercase Modern Latin basic alphabet characters starts with "A". - i: number sequence of lowercase Roman numerals starts with "i". - I: number sequence of uppercase Roman numerals start with "I".
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(String numberFormat)
    Specifies the numbering sequence. The defined values are: - 1: Hindu-Arabic number sequence starts with 1. - a: number sequence of lowercase Modern Latin basic alphabet characters starts with "a". - A: number sequence of uppercase Modern Latin basic alphabet characters starts with "A". - i: number sequence of lowercase Roman numerals starts with "i". - I: number sequence of uppercase Roman numerals start with "I".
    Parameters:
      `numberFormat` - the new number format

  - ### getNumberingScheme

    public NumberingScheme getNumberingScheme()
    Gets the numbering scheme.
    Returns:
      the numbering scheme

  - ### setNumberingScheme

    public void setNumberingScheme​(NumberingScheme numberingScheme)
    Sets the numbering scheme.
    Parameters:
      `numberingScheme` - the new numbering scheme

  - ### getFootnotesPosition

    public FootnotesPosition getFootnotesPosition()
    Specifies if footnote numbers start with a new number at the beginning of the document or at the beginning of each chapter or page.
    Returns:
      the footnotes position

  - ### setFootnotesPosition

    public void setFootnotesPosition​(FootnotesPosition footnotesPosition)
    Specifies if footnote numbers start with a new number at the beginning of the document or at the beginning of each chapter or page.
    Parameters:
      `footnotesPosition` - the new footnotes position

  - ### getNoteContinuationNoticeForward

    public String getNoteContinuationNoticeForward()
    Gets the text that is displayed at the end of a footnote that is continued on the next page.
    Returns:
      the note continuation notice forward

  - ### setNoteContinuationNoticeForward

    public void setNoteContinuationNoticeForward​(String noteContinuationNoticeForward)
    Sets the text that is displayed at the end of a footnote that is continued on the next page.
    Parameters:
      `noteContinuationNoticeForward` - the new note continuation notice forward

  - ### getNoteContinuationNoticeBackward

    public String getNoteContinuationNoticeBackward()
    Gets the text that is displayed before continued text.
    Returns:
      the note continuation notice backward

  - ### setNoteContinuationNoticeBackward

    public void setNoteContinuationNoticeBackward​(String noteContinuationNoticeBackward)
    Sets the text that is displayed before continued text.
    Parameters:
      `noteContinuationNoticeBackward` - the new note continuation notice backward